/*
 * SPDX-FileCopyrightText: Copyright 2023 Open Mobile Platform LLC <community@omp.ru>
 * SPDX-License-Identifier: Proprietary
 */

#pragma once

namespace Cef {

class Browser;

class BrowserExtension
{
public:
    BrowserExtension(Browser &browser);
    virtual ~BrowserExtension();
    virtual bool enabled() const;
    virtual void setEnabled(bool enabled);

protected:
    Browser &m_browser;

    bool m_enabled;
};

} // namespace Cef
